@echo off

set LISTFOLDER=C:\Users\Jonas\Desktop\Reviews\all\rest\export\c666list.txt
set FILESPATH=C:\Users\Jonas\Desktop\Reviews\all\rest\export
set DESTPATH=C:\Users\Jonas\Desktop\Reviews\all\c666

REM for /r %LISTFOLDER% %%I in (*.txt) do echo xcopy /qvs "%FILESPATH%\%%~nxI" "%DESTPATH%%%~pnxI"
REM for /r %LISTFOLDER% %%I in (*.txt) do xcopy /qvs "%FILESPATH%\%%~nxI" "%DESTPATH%%%~pnxI"
REM pause

for /f "%%X" in (%FIILELIST%) do call :COPY_FILES "%%X"
pause
goto :eof

:COPY_FILES
for /r %FILESPATH% %%I in (%~1) do echo xcopy /qvs "%%I" "%DESTPATH%%%~pnxI"
